package domain

type AlibabaWdkMarketingOpenDarunfaActivitySkuSyncWdkMarketOpenResult struct {
	/*
	   123     */
	Datas *[]AlibabaWdkMarketingOpenDarunfaActivitySkuSyncSyncActivitySkuResultBo `json:"datas,omitempty" `

	/*
	   123123     */
	Success *bool `json:"success,omitempty" `

	/*
	   123123     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   123123     */
	Message *string `json:"message,omitempty" `
}

func (s *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncWdkMarketOpenResult) SetDatas(v []AlibabaWdkMarketingOpenDarunfaActivitySkuSyncSyncActivitySkuResultBo) *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncWdkMarketOpenResult {
	s.Datas = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncWdkMarketOpenResult) SetSuccess(v bool) *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncWdkMarketOpenResult {
	s.Success = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncWdkMarketOpenResult) SetErrorCode(v string) *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncWdkMarketOpenResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncWdkMarketOpenResult) SetMessage(v string) *AlibabaWdkMarketingOpenDarunfaActivitySkuSyncWdkMarketOpenResult {
	s.Message = &v
	return s
}
